Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class ObjectFactory

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.camt_052_001_05 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

## Constructor Summary

Constructors
Constructor
Description
`ObjectFactory()`
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Method Summary

Modifier and Type
Method
Description
`AccountIdentification4Choice`
`createAccountIdentification4Choice()`
Create an instance of `AccountIdentification4Choice`
`AccountInterest3`
`createAccountInterest3()`
Create an instance of `AccountInterest3`
`AccountReport18`
`createAccountReport18()`
Create an instance of `AccountReport18`
`AccountSchemeName1Choice`
`createAccountSchemeName1Choice()`
Create an instance of `AccountSchemeName1Choice`
`ActiveCurrencyAndAmount`
`createActiveCurrencyAndAmount()`
Create an instance of `ActiveCurrencyAndAmount`
`ActiveOrHistoricCurrencyAnd13DecimalAmount`
`createActiveOrHistoricCurrencyAnd13DecimalAmount()`
Create an instance of `ActiveOrHistoricCurrencyAnd13DecimalAmount`
`ActiveOrHistoricCurrencyAndAmount`
`createActiveOrHistoricCurrencyAndAmount()`
Create an instance of `ActiveOrHistoricCurrencyAndAmount`
`AmountAndCurrencyExchange3`
`createAmountAndCurrencyExchange3()`
Create an instance of `AmountAndCurrencyExchange3`
`AmountAndCurrencyExchangeDetails3`
`createAmountAndCurrencyExchangeDetails3()`
Create an instance of `AmountAndCurrencyExchangeDetails3`
`AmountAndCurrencyExchangeDetails4`
`createAmountAndCurrencyExchangeDetails4()`
Create an instance of `AmountAndCurrencyExchangeDetails4`
`AmountAndDirection35`
`createAmountAndDirection35()`
Create an instance of `AmountAndDirection35`
`AmountRangeBoundary1`
`createAmountRangeBoundary1()`
Create an instance of `AmountRangeBoundary1`
`BalanceSubType1Choice`
`createBalanceSubType1Choice()`
Create an instance of `BalanceSubType1Choice`
`BalanceType12`
`createBalanceType12()`
Create an instance of `BalanceType12`
`BalanceType5Choice`
`createBalanceType5Choice()`
Create an instance of `BalanceType5Choice`
`BankToCustomerAccountReportV05`
`createBankToCustomerAccountReportV05()`
Create an instance of `BankToCustomerAccountReportV05`
`BankTransactionCodeStructure4`
`createBankTransactionCodeStructure4()`
Create an instance of `BankTransactionCodeStructure4`
`BankTransactionCodeStructure5`
`createBankTransactionCodeStructure5()`
Create an instance of `BankTransactionCodeStructure5`
`BankTransactionCodeStructure6`
`createBankTransactionCodeStructure6()`
Create an instance of `BankTransactionCodeStructure6`
`BatchInformation2`
`createBatchInformation2()`
Create an instance of `BatchInformation2`
`BranchAndFinancialInstitutionIdentification5`
`createBranchAndFinancialInstitutionIdentification5()`
Create an instance of `BranchAndFinancialInstitutionIdentification5`
`BranchData2`
`createBranchData2()`
Create an instance of `BranchData2`
`CardAggregated1`
`createCardAggregated1()`
Create an instance of `CardAggregated1`
`CardEntry2`
`createCardEntry2()`
Create an instance of `CardEntry2`
`CardholderAuthentication2`
`createCardholderAuthentication2()`
Create an instance of `CardholderAuthentication2`
`CardIndividualTransaction2`
`createCardIndividualTransaction2()`
Create an instance of `CardIndividualTransaction2`
`CardSecurityInformation1`
`createCardSecurityInformation1()`
Create an instance of `CardSecurityInformation1`
`CardSequenceNumberRange1`
`createCardSequenceNumberRange1()`
Create an instance of `CardSequenceNumberRange1`
`CardTransaction2`
`createCardTransaction2()`
Create an instance of `CardTransaction2`
`CardTransaction2Choice`
`createCardTransaction2Choice()`
Create an instance of `CardTransaction2Choice`
`CashAccount24`
`createCashAccount24()`
Create an instance of `CashAccount24`
`CashAccount25`
`createCashAccount25()`
Create an instance of `CashAccount25`
`CashAccountType2Choice`
`createCashAccountType2Choice()`
Create an instance of `CashAccountType2Choice`
`CashBalance3`
`createCashBalance3()`
Create an instance of `CashBalance3`
`CashBalanceAvailability2`
`createCashBalanceAvailability2()`
Create an instance of `CashBalanceAvailability2`
`CashBalanceAvailabilityDate1`
`createCashBalanceAvailabilityDate1()`
Create an instance of `CashBalanceAvailabilityDate1`
`CashDeposit1`
`createCashDeposit1()`
Create an instance of `CashDeposit1`
`Charges4`
`createCharges4()`
Create an instance of `Charges4`
`ChargesRecord2`
`createChargesRecord2()`
Create an instance of `ChargesRecord2`
`ChargeType3Choice`
`createChargeType3Choice()`
Create an instance of `ChargeType3Choice`
`ClearingSystemIdentification2Choice`
`createClearingSystemIdentification2Choice()`
Create an instance of `ClearingSystemIdentification2Choice`
`ClearingSystemMemberIdentification2`
`createClearingSystemMemberIdentification2()`
Create an instance of `ClearingSystemMemberIdentification2`
`ContactDetails2`
`createContactDetails2()`
Create an instance of `ContactDetails2`
`CorporateAction9`
`createCorporateAction9()`
Create an instance of `CorporateAction9`
`CreditLine2`
`createCreditLine2()`
Create an instance of `CreditLine2`
`CreditorReferenceInformation2`
`createCreditorReferenceInformation2()`
Create an instance of `CreditorReferenceInformation2`
`CreditorReferenceType1Choice`
`createCreditorReferenceType1Choice()`
Create an instance of `CreditorReferenceType1Choice`
`CreditorReferenceType2`
`createCreditorReferenceType2()`
Create an instance of `CreditorReferenceType2`
`CurrencyAndAmountRange2`
`createCurrencyAndAmountRange2()`
Create an instance of `CurrencyAndAmountRange2`
`CurrencyExchange5`
`createCurrencyExchange5()`
Create an instance of `CurrencyExchange5`
`DateAndDateTimeChoice`
`createDateAndDateTimeChoice()`
Create an instance of `DateAndDateTimeChoice`
`DateAndPlaceOfBirth`
`createDateAndPlaceOfBirth()`
Create an instance of `DateAndPlaceOfBirth`
`DateOrDateTimePeriodChoice`
`createDateOrDateTimePeriodChoice()`
Create an instance of `DateOrDateTimePeriodChoice`
`DatePeriodDetails`
`createDatePeriodDetails()`
Create an instance of `DatePeriodDetails`
`DateTimePeriodDetails`
`createDateTimePeriodDetails()`
Create an instance of `DateTimePeriodDetails`
`DiscountAmountAndType1`
`createDiscountAmountAndType1()`
Create an instance of `DiscountAmountAndType1`
`DiscountAmountType1Choice`
`createDiscountAmountType1Choice()`
Create an instance of `DiscountAmountType1Choice`
`DisplayCapabilities1`
`createDisplayCapabilities1()`
Create an instance of `DisplayCapabilities1`
`Document`
`createDocument()`
Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>`
`createDocument(Document value)`
Create an instance of `JAXBElement``<``Document``>`
`DocumentAdjustment1`
`createDocumentAdjustment1()`
Create an instance of `DocumentAdjustment1`
`EntryDetails6`
`createEntryDetails6()`
Create an instance of `EntryDetails6`
`EntryTransaction7`
`createEntryTransaction7()`
Create an instance of `EntryTransaction7`
`FinancialIdentificationSchemeName1Choice`
`createFinancialIdentificationSchemeName1Choice()`
Create an instance of `FinancialIdentificationSchemeName1Choice`
`FinancialInstitutionIdentification8`
`createFinancialInstitutionIdentification8()`
Create an instance of `FinancialInstitutionIdentification8`
`FinancialInstrumentQuantityChoice`
`createFinancialInstrumentQuantityChoice()`
Create an instance of `FinancialInstrumentQuantityChoice`
`FromToAmountRange`
`createFromToAmountRange()`
Create an instance of `FromToAmountRange`
`Garnishment1`
`createGarnishment1()`
Create an instance of `Garnishment1`
`GarnishmentType1`
`createGarnishmentType1()`
Create an instance of `GarnishmentType1`
`GarnishmentType1Choice`
`createGarnishmentType1Choice()`
Create an instance of `GarnishmentType1Choice`
`GenericAccountIdentification1`
`createGenericAccountIdentification1()`
Create an instance of `GenericAccountIdentification1`
`GenericFinancialIdentification1`
`createGenericFinancialIdentification1()`
Create an instance of `GenericFinancialIdentification1`
`GenericIdentification1`
`createGenericIdentification1()`
Create an instance of `GenericIdentification1`
`GenericIdentification20`
`createGenericIdentification20()`
Create an instance of `GenericIdentification20`
`GenericIdentification3`
`createGenericIdentification3()`
Create an instance of `GenericIdentification3`
`GenericIdentification32`
`createGenericIdentification32()`
Create an instance of `GenericIdentification32`
`GenericOrganisationIdentification1`
`createGenericOrganisationIdentification1()`
Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1`
`createGenericPersonIdentification1()`
Create an instance of `GenericPersonIdentification1`
`GroupHeader58`
`createGroupHeader58()`
Create an instance of `GroupHeader58`
`IdentificationSource3Choice`
`createIdentificationSource3Choice()`
Create an instance of `IdentificationSource3Choice`
`ImpliedCurrencyAmountRangeChoice`
`createImpliedCurrencyAmountRangeChoice()`
Create an instance of `ImpliedCurrencyAmountRangeChoice`
`InterestRecord1`
`createInterestRecord1()`
Create an instance of `InterestRecord1`
`InterestType1Choice`
`createInterestType1Choice()`
Create an instance of `InterestType1Choice`
`MessageIdentification2`
`createMessageIdentification2()`
Create an instance of `MessageIdentification2`
`NameAndAddress10`
`createNameAndAddress10()`
Create an instance of `NameAndAddress10`
`NumberAndSumOfTransactions1`
`createNumberAndSumOfTransactions1()`
Create an instance of `NumberAndSumOfTransactions1`
`NumberAndSumOfTransactions4`
`createNumberAndSumOfTransactions4()`
Create an instance of `NumberAndSumOfTransactions4`
`OrganisationIdentification8`
`createOrganisationIdentification8()`
Create an instance of `OrganisationIdentification8`
`OrganisationIdentificationSchemeName1Choice`
`createOrganisationIdentificationSchemeName1Choice()`
Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OriginalAndCurrentQuantities1`
`createOriginalAndCurrentQuantities1()`
Create an instance of `OriginalAndCurrentQuantities1`
`OriginalBusinessQuery1`
`createOriginalBusinessQuery1()`
Create an instance of `OriginalBusinessQuery1`
`OtherIdentification1`
`createOtherIdentification1()`
Create an instance of `OtherIdentification1`
`Pagination`
`createPagination()`
Create an instance of `Pagination`
`Party11Choice`
`createParty11Choice()`
Create an instance of `Party11Choice`
`PartyIdentification43`
`createPartyIdentification43()`
Create an instance of `PartyIdentification43`
`PaymentCard4`
`createPaymentCard4()`
Create an instance of `PaymentCard4`
`PaymentContext3`
`createPaymentContext3()`
Create an instance of `PaymentContext3`
`PaymentReturnReason2`
`createPaymentReturnReason2()`
Create an instance of `PaymentReturnReason2`
`PersonIdentification5`
`createPersonIdentification5()`
Create an instance of `PersonIdentification5`
`PersonIdentificationSchemeName1Choice`
`createPersonIdentificationSchemeName1Choice()`
Create an instance of `PersonIdentificationSchemeName1Choice`
`PlainCardData1`
`createPlainCardData1()`
Create an instance of `PlainCardData1`
`PointOfInteraction1`
`createPointOfInteraction1()`
Create an instance of `PointOfInteraction1`
`PointOfInteractionCapabilities1`
`createPointOfInteractionCapabilities1()`
Create an instance of `PointOfInteractionCapabilities1`
`PointOfInteractionComponent1`
`createPointOfInteractionComponent1()`
Create an instance of `PointOfInteractionComponent1`
`PostalAddress6`
`createPostalAddress6()`
Create an instance of `PostalAddress6`
`Price2`
`createPrice2()`
Create an instance of `Price2`
`PriceRateOrAmountChoice`
`createPriceRateOrAmountChoice()`
Create an instance of `PriceRateOrAmountChoice`
`Product2`
`createProduct2()`
Create an instance of `Product2`
`ProprietaryAgent3`
`createProprietaryAgent3()`
Create an instance of `ProprietaryAgent3`
`ProprietaryBankTransactionCodeStructure1`
`createProprietaryBankTransactionCodeStructure1()`
Create an instance of `ProprietaryBankTransactionCodeStructure1`
`ProprietaryDate2`
`createProprietaryDate2()`
Create an instance of `ProprietaryDate2`
`ProprietaryParty3`
`createProprietaryParty3()`
Create an instance of `ProprietaryParty3`
`ProprietaryPrice2`
`createProprietaryPrice2()`
Create an instance of `ProprietaryPrice2`
`ProprietaryQuantity1`
`createProprietaryQuantity1()`
Create an instance of `ProprietaryQuantity1`
`ProprietaryReference1`
`createProprietaryReference1()`
Create an instance of `ProprietaryReference1`
`Purpose2Choice`
`createPurpose2Choice()`
Create an instance of `Purpose2Choice`
`Rate3`
`createRate3()`
Create an instance of `Rate3`
`RateType4Choice`
`createRateType4Choice()`
Create an instance of `RateType4Choice`
`ReferredDocumentInformation6`
`createReferredDocumentInformation6()`
Create an instance of `ReferredDocumentInformation6`
`ReferredDocumentType3Choice`
`createReferredDocumentType3Choice()`
Create an instance of `ReferredDocumentType3Choice`
`ReferredDocumentType4`
`createReferredDocumentType4()`
Create an instance of `ReferredDocumentType4`
`RemittanceAmount2`
`createRemittanceAmount2()`
Create an instance of `RemittanceAmount2`
`RemittanceInformation10`
`createRemittanceInformation10()`
Create an instance of `RemittanceInformation10`
`RemittanceLocation4`
`createRemittanceLocation4()`
Create an instance of `RemittanceLocation4`
`RemittanceLocationDetails1`
`createRemittanceLocationDetails1()`
Create an instance of `RemittanceLocationDetails1`
`ReportEntry7`
`createReportEntry7()`
Create an instance of `ReportEntry7`
`ReportingSource1Choice`
`createReportingSource1Choice()`
Create an instance of `ReportingSource1Choice`
`ReturnReason5Choice`
`createReturnReason5Choice()`
Create an instance of `ReturnReason5Choice`
`SecuritiesAccount13`
`createSecuritiesAccount13()`
Create an instance of `SecuritiesAccount13`
`SecurityIdentification14`
`createSecurityIdentification14()`
Create an instance of `SecurityIdentification14`
`StructuredRemittanceInformation12`
`createStructuredRemittanceInformation12()`
Create an instance of `StructuredRemittanceInformation12`
`SupplementaryData1`
`createSupplementaryData1()`
Create an instance of `SupplementaryData1`
`SupplementaryDataEnvelope1`
`createSupplementaryDataEnvelope1()`
Create an instance of `SupplementaryDataEnvelope1`
`TaxAmount1`
`createTaxAmount1()`
Create an instance of `TaxAmount1`
`TaxAmountAndType1`
`createTaxAmountAndType1()`
Create an instance of `TaxAmountAndType1`
`TaxAmountType1Choice`
`createTaxAmountType1Choice()`
Create an instance of `TaxAmountType1Choice`
`TaxAuthorisation1`
`createTaxAuthorisation1()`
Create an instance of `TaxAuthorisation1`
`TaxCharges2`
`createTaxCharges2()`
Create an instance of `TaxCharges2`
`TaxInformation3`
`createTaxInformation3()`
Create an instance of `TaxInformation3`
`TaxInformation4`
`createTaxInformation4()`
Create an instance of `TaxInformation4`
`TaxParty1`
`createTaxParty1()`
Create an instance of `TaxParty1`
`TaxParty2`
`createTaxParty2()`
Create an instance of `TaxParty2`
`TaxPeriod1`
`createTaxPeriod1()`
Create an instance of `TaxPeriod1`
`TaxRecord1`
`createTaxRecord1()`
Create an instance of `TaxRecord1`
`TaxRecordDetails1`
`createTaxRecordDetails1()`
Create an instance of `TaxRecordDetails1`
`TechnicalInputChannel1Choice`
`createTechnicalInputChannel1Choice()`
Create an instance of `TechnicalInputChannel1Choice`
`TotalsPerBankTransactionCode3`
`createTotalsPerBankTransactionCode3()`
Create an instance of `TotalsPerBankTransactionCode3`
`TotalTransactions4`
`createTotalTransactions4()`
Create an instance of `TotalTransactions4`
`TrackData1`
`createTrackData1()`
Create an instance of `TrackData1`
`TransactionAgents3`
`createTransactionAgents3()`
Create an instance of `TransactionAgents3`
`TransactionDates2`
`createTransactionDates2()`
Create an instance of `TransactionDates2`
`TransactionIdentifier1`
`createTransactionIdentifier1()`
Create an instance of `TransactionIdentifier1`
`TransactionInterest3`
`createTransactionInterest3()`
Create an instance of `TransactionInterest3`
`TransactionParties3`
`createTransactionParties3()`
Create an instance of `TransactionParties3`
`TransactionPrice3Choice`
`createTransactionPrice3Choice()`
Create an instance of `TransactionPrice3Choice`
`TransactionQuantities2Choice`
`createTransactionQuantities2Choice()`
Create an instance of `TransactionQuantities2Choice`
`TransactionReferences3`
`createTransactionReferences3()`
Create an instance of `TransactionReferences3`
`YieldedOrValueType1Choice`
`createYieldedOrValueType1Choice()`
Create an instance of `YieldedOrValueType1Choice`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectFactory

public ObjectFactory()
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Method Details

### createDocument

public Document createDocument()
Create an instance of `Document`

### createAccountIdentification4Choice

public AccountIdentification4Choice createAccountIdentification4Choice()
Create an instance of `AccountIdentification4Choice`

### createAccountInterest3

public AccountInterest3 createAccountInterest3()
Create an instance of `AccountInterest3`

### createAccountReport18

public AccountReport18 createAccountReport18()
Create an instance of `AccountReport18`

### createAccountSchemeName1Choice

public AccountSchemeName1Choice createAccountSchemeName1Choice()
Create an instance of `AccountSchemeName1Choice`

### createActiveCurrencyAndAmount

public ActiveCurrencyAndAmount createActiveCurrencyAndAmount()
Create an instance of `ActiveCurrencyAndAmount`

### createActiveOrHistoricCurrencyAnd13DecimalAmount

public ActiveOrHistoricCurrencyAnd13DecimalAmount createActiveOrHistoricCurrencyAnd13DecimalAmount()
Create an instance of `ActiveOrHistoricCurrencyAnd13DecimalAmount`

### createActiveOrHistoricCurrencyAndAmount

public ActiveOrHistoricCurrencyAndAmount createActiveOrHistoricCurrencyAndAmount()
Create an instance of `ActiveOrHistoricCurrencyAndAmount`

### createAmountAndCurrencyExchange3

public AmountAndCurrencyExchange3 createAmountAndCurrencyExchange3()
Create an instance of `AmountAndCurrencyExchange3`

### createAmountAndCurrencyExchangeDetails3

public AmountAndCurrencyExchangeDetails3 createAmountAndCurrencyExchangeDetails3()
Create an instance of `AmountAndCurrencyExchangeDetails3`

### createAmountAndCurrencyExchangeDetails4

public AmountAndCurrencyExchangeDetails4 createAmountAndCurrencyExchangeDetails4()
Create an instance of `AmountAndCurrencyExchangeDetails4`

### createAmountAndDirection35

public AmountAndDirection35 createAmountAndDirection35()
Create an instance of `AmountAndDirection35`

### createAmountRangeBoundary1

public AmountRangeBoundary1 createAmountRangeBoundary1()
Create an instance of `AmountRangeBoundary1`

### createBalanceSubType1Choice

public BalanceSubType1Choice createBalanceSubType1Choice()
Create an instance of `BalanceSubType1Choice`

### createBalanceType12

public BalanceType12 createBalanceType12()
Create an instance of `BalanceType12`

### createBalanceType5Choice

public BalanceType5Choice createBalanceType5Choice()
Create an instance of `BalanceType5Choice`

### createBankToCustomerAccountReportV05

public BankToCustomerAccountReportV05 createBankToCustomerAccountReportV05()
Create an instance of `BankToCustomerAccountReportV05`

### createBankTransactionCodeStructure4

public BankTransactionCodeStructure4 createBankTransactionCodeStructure4()
Create an instance of `BankTransactionCodeStructure4`

### createBankTransactionCodeStructure5

public BankTransactionCodeStructure5 createBankTransactionCodeStructure5()
Create an instance of `BankTransactionCodeStructure5`

### createBankTransactionCodeStructure6

public BankTransactionCodeStructure6 createBankTransactionCodeStructure6()
Create an instance of `BankTransactionCodeStructure6`

### createBatchInformation2

public BatchInformation2 createBatchInformation2()
Create an instance of `BatchInformation2`

### createBranchAndFinancialInstitutionIdentification5

public BranchAndFinancialInstitutionIdentification5 createBranchAndFinancialInstitutionIdentification5()
Create an instance of `BranchAndFinancialInstitutionIdentification5`

### createBranchData2

public BranchData2 createBranchData2()
Create an instance of `BranchData2`

### createCardAggregated1

public CardAggregated1 createCardAggregated1()
Create an instance of `CardAggregated1`

### createCardEntry2

public CardEntry2 createCardEntry2()
Create an instance of `CardEntry2`

### createCardIndividualTransaction2

public CardIndividualTransaction2 createCardIndividualTransaction2()
Create an instance of `CardIndividualTransaction2`

### createCardSecurityInformation1

public CardSecurityInformation1 createCardSecurityInformation1()
Create an instance of `CardSecurityInformation1`

### createCardSequenceNumberRange1

public CardSequenceNumberRange1 createCardSequenceNumberRange1()
Create an instance of `CardSequenceNumberRange1`

### createCardTransaction2

public CardTransaction2 createCardTransaction2()
Create an instance of `CardTransaction2`

### createCardTransaction2Choice

public CardTransaction2Choice createCardTransaction2Choice()
Create an instance of `CardTransaction2Choice`

### createCardholderAuthentication2

public CardholderAuthentication2 createCardholderAuthentication2()
Create an instance of `CardholderAuthentication2`

### createCashAccount24

public CashAccount24 createCashAccount24()
Create an instance of `CashAccount24`

### createCashAccount25

public CashAccount25 createCashAccount25()
Create an instance of `CashAccount25`

### createCashAccountType2Choice

public CashAccountType2Choice createCashAccountType2Choice()
Create an instance of `CashAccountType2Choice`

### createCashBalance3

public CashBalance3 createCashBalance3()
Create an instance of `CashBalance3`

### createCashBalanceAvailability2

public CashBalanceAvailability2 createCashBalanceAvailability2()
Create an instance of `CashBalanceAvailability2`

### createCashBalanceAvailabilityDate1

public CashBalanceAvailabilityDate1 createCashBalanceAvailabilityDate1()
Create an instance of `CashBalanceAvailabilityDate1`

### createCashDeposit1

public CashDeposit1 createCashDeposit1()
Create an instance of `CashDeposit1`

### createChargeType3Choice

public ChargeType3Choice createChargeType3Choice()
Create an instance of `ChargeType3Choice`

### createCharges4

public Charges4 createCharges4()
Create an instance of `Charges4`

### createChargesRecord2

public ChargesRecord2 createChargesRecord2()
Create an instance of `ChargesRecord2`

### createClearingSystemIdentification2Choice

public ClearingSystemIdentification2Choice createClearingSystemIdentification2Choice()
Create an instance of `ClearingSystemIdentification2Choice`

### createClearingSystemMemberIdentification2

public ClearingSystemMemberIdentification2 createClearingSystemMemberIdentification2()
Create an instance of `ClearingSystemMemberIdentification2`

### createContactDetails2

public ContactDetails2 createContactDetails2()
Create an instance of `ContactDetails2`

### createCorporateAction9

public CorporateAction9 createCorporateAction9()
Create an instance of `CorporateAction9`

### createCreditLine2

public CreditLine2 createCreditLine2()
Create an instance of `CreditLine2`

### createCreditorReferenceInformation2

public CreditorReferenceInformation2 createCreditorReferenceInformation2()
Create an instance of `CreditorReferenceInformation2`

### createCreditorReferenceType1Choice

public CreditorReferenceType1Choice createCreditorReferenceType1Choice()
Create an instance of `CreditorReferenceType1Choice`

### createCreditorReferenceType2

public CreditorReferenceType2 createCreditorReferenceType2()
Create an instance of `CreditorReferenceType2`

### createCurrencyAndAmountRange2

public CurrencyAndAmountRange2 createCurrencyAndAmountRange2()
Create an instance of `CurrencyAndAmountRange2`

### createCurrencyExchange5

public CurrencyExchange5 createCurrencyExchange5()
Create an instance of `CurrencyExchange5`

### createDateAndDateTimeChoice

public DateAndDateTimeChoice createDateAndDateTimeChoice()
Create an instance of `DateAndDateTimeChoice`

### createDateAndPlaceOfBirth

public DateAndPlaceOfBirth createDateAndPlaceOfBirth()
Create an instance of `DateAndPlaceOfBirth`

### createDateOrDateTimePeriodChoice

public DateOrDateTimePeriodChoice createDateOrDateTimePeriodChoice()
Create an instance of `DateOrDateTimePeriodChoice`

### createDatePeriodDetails

public DatePeriodDetails createDatePeriodDetails()
Create an instance of `DatePeriodDetails`

### createDateTimePeriodDetails

public DateTimePeriodDetails createDateTimePeriodDetails()
Create an instance of `DateTimePeriodDetails`

### createDiscountAmountAndType1

public DiscountAmountAndType1 createDiscountAmountAndType1()
Create an instance of `DiscountAmountAndType1`

### createDiscountAmountType1Choice

public DiscountAmountType1Choice createDiscountAmountType1Choice()
Create an instance of `DiscountAmountType1Choice`

### createDisplayCapabilities1

public DisplayCapabilities1 createDisplayCapabilities1()
Create an instance of `DisplayCapabilities1`

### createDocumentAdjustment1

public DocumentAdjustment1 createDocumentAdjustment1()
Create an instance of `DocumentAdjustment1`

### createEntryDetails6

public EntryDetails6 createEntryDetails6()
Create an instance of `EntryDetails6`

### createEntryTransaction7

public EntryTransaction7 createEntryTransaction7()
Create an instance of `EntryTransaction7`

### createFinancialIdentificationSchemeName1Choice

public FinancialIdentificationSchemeName1Choice createFinancialIdentificationSchemeName1Choice()
Create an instance of `FinancialIdentificationSchemeName1Choice`

### createFinancialInstitutionIdentification8

public FinancialInstitutionIdentification8 createFinancialInstitutionIdentification8()
Create an instance of `FinancialInstitutionIdentification8`

### createFinancialInstrumentQuantityChoice

public FinancialInstrumentQuantityChoice createFinancialInstrumentQuantityChoice()
Create an instance of `FinancialInstrumentQuantityChoice`

### createFromToAmountRange

public FromToAmountRange createFromToAmountRange()
Create an instance of `FromToAmountRange`

### createGarnishment1

public Garnishment1 createGarnishment1()
Create an instance of `Garnishment1`

### createGarnishmentType1

public GarnishmentType1 createGarnishmentType1()
Create an instance of `GarnishmentType1`

### createGarnishmentType1Choice

public GarnishmentType1Choice createGarnishmentType1Choice()
Create an instance of `GarnishmentType1Choice`

### createGenericAccountIdentification1

public GenericAccountIdentification1 createGenericAccountIdentification1()
Create an instance of `GenericAccountIdentification1`

### createGenericFinancialIdentification1

public GenericFinancialIdentification1 createGenericFinancialIdentification1()
Create an instance of `GenericFinancialIdentification1`

### createGenericIdentification1

public GenericIdentification1 createGenericIdentification1()
Create an instance of `GenericIdentification1`

### createGenericIdentification20

public GenericIdentification20 createGenericIdentification20()
Create an instance of `GenericIdentification20`

### createGenericIdentification3

public GenericIdentification3 createGenericIdentification3()
Create an instance of `GenericIdentification3`

### createGenericIdentification32

public GenericIdentification32 createGenericIdentification32()
Create an instance of `GenericIdentification32`

### createGenericOrganisationIdentification1

public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()
Create an instance of `GenericOrganisationIdentification1`

### createGenericPersonIdentification1

public GenericPersonIdentification1 createGenericPersonIdentification1()
Create an instance of `GenericPersonIdentification1`

### createGroupHeader58

public GroupHeader58 createGroupHeader58()
Create an instance of `GroupHeader58`

### createIdentificationSource3Choice

public IdentificationSource3Choice createIdentificationSource3Choice()
Create an instance of `IdentificationSource3Choice`

### createImpliedCurrencyAmountRangeChoice

public ImpliedCurrencyAmountRangeChoice createImpliedCurrencyAmountRangeChoice()
Create an instance of `ImpliedCurrencyAmountRangeChoice`

### createInterestRecord1

public InterestRecord1 createInterestRecord1()
Create an instance of `InterestRecord1`

### createInterestType1Choice

public InterestType1Choice createInterestType1Choice()
Create an instance of `InterestType1Choice`

### createMessageIdentification2

public MessageIdentification2 createMessageIdentification2()
Create an instance of `MessageIdentification2`

### createNameAndAddress10

public NameAndAddress10 createNameAndAddress10()
Create an instance of `NameAndAddress10`

### createNumberAndSumOfTransactions1

public NumberAndSumOfTransactions1 createNumberAndSumOfTransactions1()
Create an instance of `NumberAndSumOfTransactions1`

### createNumberAndSumOfTransactions4

public NumberAndSumOfTransactions4 createNumberAndSumOfTransactions4()
Create an instance of `NumberAndSumOfTransactions4`

### createOrganisationIdentification8

public OrganisationIdentification8 createOrganisationIdentification8()
Create an instance of `OrganisationIdentification8`

### createOrganisationIdentificationSchemeName1Choice

public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()
Create an instance of `OrganisationIdentificationSchemeName1Choice`

### createOriginalAndCurrentQuantities1

public OriginalAndCurrentQuantities1 createOriginalAndCurrentQuantities1()
Create an instance of `OriginalAndCurrentQuantities1`

### createOriginalBusinessQuery1

public OriginalBusinessQuery1 createOriginalBusinessQuery1()
Create an instance of `OriginalBusinessQuery1`

### createOtherIdentification1

public OtherIdentification1 createOtherIdentification1()
Create an instance of `OtherIdentification1`

### createPagination

public Pagination createPagination()
Create an instance of `Pagination`

### createParty11Choice

public Party11Choice createParty11Choice()
Create an instance of `Party11Choice`

### createPartyIdentification43

public PartyIdentification43 createPartyIdentification43()
Create an instance of `PartyIdentification43`

### createPaymentCard4

public PaymentCard4 createPaymentCard4()
Create an instance of `PaymentCard4`

### createPaymentContext3

public PaymentContext3 createPaymentContext3()
Create an instance of `PaymentContext3`

### createPaymentReturnReason2

public PaymentReturnReason2 createPaymentReturnReason2()
Create an instance of `PaymentReturnReason2`

### createPersonIdentification5

public PersonIdentification5 createPersonIdentification5()
Create an instance of `PersonIdentification5`

### createPersonIdentificationSchemeName1Choice

public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()
Create an instance of `PersonIdentificationSchemeName1Choice`

### createPlainCardData1

public PlainCardData1 createPlainCardData1()
Create an instance of `PlainCardData1`

### createPointOfInteraction1

public PointOfInteraction1 createPointOfInteraction1()
Create an instance of `PointOfInteraction1`

### createPointOfInteractionCapabilities1

public PointOfInteractionCapabilities1 createPointOfInteractionCapabilities1()
Create an instance of `PointOfInteractionCapabilities1`

### createPointOfInteractionComponent1

public PointOfInteractionComponent1 createPointOfInteractionComponent1()
Create an instance of `PointOfInteractionComponent1`

### createPostalAddress6

public PostalAddress6 createPostalAddress6()
Create an instance of `PostalAddress6`

### createPrice2

public Price2 createPrice2()
Create an instance of `Price2`

### createPriceRateOrAmountChoice

public PriceRateOrAmountChoice createPriceRateOrAmountChoice()
Create an instance of `PriceRateOrAmountChoice`

### createProduct2

public Product2 createProduct2()
Create an instance of `Product2`

### createProprietaryAgent3

public ProprietaryAgent3 createProprietaryAgent3()
Create an instance of `ProprietaryAgent3`

### createProprietaryBankTransactionCodeStructure1

public ProprietaryBankTransactionCodeStructure1 createProprietaryBankTransactionCodeStructure1()
Create an instance of `ProprietaryBankTransactionCodeStructure1`

### createProprietaryDate2

public ProprietaryDate2 createProprietaryDate2()
Create an instance of `ProprietaryDate2`

### createProprietaryParty3

public ProprietaryParty3 createProprietaryParty3()
Create an instance of `ProprietaryParty3`

### createProprietaryPrice2

public ProprietaryPrice2 createProprietaryPrice2()
Create an instance of `ProprietaryPrice2`

### createProprietaryQuantity1

public ProprietaryQuantity1 createProprietaryQuantity1()
Create an instance of `ProprietaryQuantity1`

### createProprietaryReference1

public ProprietaryReference1 createProprietaryReference1()
Create an instance of `ProprietaryReference1`

### createPurpose2Choice

public Purpose2Choice createPurpose2Choice()
Create an instance of `Purpose2Choice`

### createRate3

public Rate3 createRate3()
Create an instance of `Rate3`

### createRateType4Choice

public RateType4Choice createRateType4Choice()
Create an instance of `RateType4Choice`

### createReferredDocumentInformation6

public ReferredDocumentInformation6 createReferredDocumentInformation6()
Create an instance of `ReferredDocumentInformation6`

### createReferredDocumentType3Choice

public ReferredDocumentType3Choice createReferredDocumentType3Choice()
Create an instance of `ReferredDocumentType3Choice`

### createReferredDocumentType4

public ReferredDocumentType4 createReferredDocumentType4()
Create an instance of `ReferredDocumentType4`

### createRemittanceAmount2

public RemittanceAmount2 createRemittanceAmount2()
Create an instance of `RemittanceAmount2`

### createRemittanceInformation10

public RemittanceInformation10 createRemittanceInformation10()
Create an instance of `RemittanceInformation10`

### createRemittanceLocation4

public RemittanceLocation4 createRemittanceLocation4()
Create an instance of `RemittanceLocation4`

### createRemittanceLocationDetails1

public RemittanceLocationDetails1 createRemittanceLocationDetails1()
Create an instance of `RemittanceLocationDetails1`

### createReportEntry7

public ReportEntry7 createReportEntry7()
Create an instance of `ReportEntry7`

### createReportingSource1Choice

public ReportingSource1Choice createReportingSource1Choice()
Create an instance of `ReportingSource1Choice`

### createReturnReason5Choice

public ReturnReason5Choice createReturnReason5Choice()
Create an instance of `ReturnReason5Choice`

### createSecuritiesAccount13

public SecuritiesAccount13 createSecuritiesAccount13()
Create an instance of `SecuritiesAccount13`

### createSecurityIdentification14

public SecurityIdentification14 createSecurityIdentification14()
Create an instance of `SecurityIdentification14`

### createStructuredRemittanceInformation12

public StructuredRemittanceInformation12 createStructuredRemittanceInformation12()
Create an instance of `StructuredRemittanceInformation12`

### createSupplementaryData1

public SupplementaryData1 createSupplementaryData1()
Create an instance of `SupplementaryData1`

### createSupplementaryDataEnvelope1

public SupplementaryDataEnvelope1 createSupplementaryDataEnvelope1()
Create an instance of `SupplementaryDataEnvelope1`

### createTaxAmount1

public TaxAmount1 createTaxAmount1()
Create an instance of `TaxAmount1`

### createTaxAmountAndType1

public TaxAmountAndType1 createTaxAmountAndType1()
Create an instance of `TaxAmountAndType1`

### createTaxAmountType1Choice

public TaxAmountType1Choice createTaxAmountType1Choice()
Create an instance of `TaxAmountType1Choice`

### createTaxAuthorisation1

public TaxAuthorisation1 createTaxAuthorisation1()
Create an instance of `TaxAuthorisation1`

### createTaxCharges2

public TaxCharges2 createTaxCharges2()
Create an instance of `TaxCharges2`

### createTaxInformation3

public TaxInformation3 createTaxInformation3()
Create an instance of `TaxInformation3`

### createTaxInformation4

public TaxInformation4 createTaxInformation4()
Create an instance of `TaxInformation4`

### createTaxParty1

public TaxParty1 createTaxParty1()
Create an instance of `TaxParty1`

### createTaxParty2

public TaxParty2 createTaxParty2()
Create an instance of `TaxParty2`

### createTaxPeriod1

public TaxPeriod1 createTaxPeriod1()
Create an instance of `TaxPeriod1`

### createTaxRecord1

public TaxRecord1 createTaxRecord1()
Create an instance of `TaxRecord1`

### createTaxRecordDetails1

public TaxRecordDetails1 createTaxRecordDetails1()
Create an instance of `TaxRecordDetails1`

### createTechnicalInputChannel1Choice

public TechnicalInputChannel1Choice createTechnicalInputChannel1Choice()
Create an instance of `TechnicalInputChannel1Choice`

### createTotalTransactions4

public TotalTransactions4 createTotalTransactions4()
Create an instance of `TotalTransactions4`

### createTotalsPerBankTransactionCode3

public TotalsPerBankTransactionCode3 createTotalsPerBankTransactionCode3()
Create an instance of `TotalsPerBankTransactionCode3`

### createTrackData1

public TrackData1 createTrackData1()
Create an instance of `TrackData1`

### createTransactionAgents3

public TransactionAgents3 createTransactionAgents3()
Create an instance of `TransactionAgents3`

### createTransactionDates2

public TransactionDates2 createTransactionDates2()
Create an instance of `TransactionDates2`

### createTransactionIdentifier1

public TransactionIdentifier1 createTransactionIdentifier1()
Create an instance of `TransactionIdentifier1`

### createTransactionInterest3

public TransactionInterest3 createTransactionInterest3()
Create an instance of `TransactionInterest3`

### createTransactionParties3

public TransactionParties3 createTransactionParties3()
Create an instance of `TransactionParties3`

### createTransactionPrice3Choice

public TransactionPrice3Choice createTransactionPrice3Choice()
Create an instance of `TransactionPrice3Choice`

### createTransactionQuantities2Choice

public TransactionQuantities2Choice createTransactionQuantities2Choice()
Create an instance of `TransactionQuantities2Choice`

### createTransactionReferences3

public TransactionReferences3 createTransactionReferences3()
Create an instance of `TransactionReferences3`

### createYieldedOrValueType1Choice

public YieldedOrValueType1Choice createYieldedOrValueType1Choice()
Create an instance of `YieldedOrValueType1Choice`

### createDocument

public javax.xml.bind.JAXBElement<Document> createDocument(Document value)
Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`